Subject: [bug#60240] [PATCH] [WIP] gnu: Add python-3.11.

From: Simon Tournier <[email-masked]>
Date: Fri, 06 Jan 2023 18:36:36 +0100

Hi Tanguy,

On Wed, 21 Dec 2022 at 16:32, Tanguy Le Carrour <[email-masked]> wrote:

> This leads me to my first question: wouldn't it be better to write a "fresh"
> package definition not inheriting from `python-2` (deprecated since 2020) and
> `python-3.9` (soon to be replaced)?

Yes, it would be nice to have Python 3 as the package definition.  And
maybe Python 2 as inheriting from Python 3. :-)

> Another question would be: should I first write a package definition
> for `python-3.10` so we have it in the history and one could use the
> time machine to install it?

Well, it appears to me fine to jump from 3.9 to 3.11 dropping 3.10.

Cheers,
simon